Index: SPECS/glibc.spec
===================================================================
--- SPECS.orig/glibc.spec
+++ SPECS/glibc.spec
@@ -3,7 +3,7 @@
 %define glibcsrcdir glibc-20071017T2029
 %define glibc_release_tarballs 0
 %define glibcversion 2.7
-%define glibcrelease 2
+%define glibcrelease 2.fa1
 %define run_glibc_tests 1
 %define auxarches i586 i686 athlon sparcv9v sparc64v alphaev6
 %define xenarches i686 athlon
@@ -293,6 +293,11 @@ BuildFlags="-mtune=generic"
 %ifarch alphaev6
 BuildFlags="-mcpu=ev6"
 %endif
+%ifarch %{arm}
+#BuildFlags="-march=armv5te"
+BuildFlags=""
+%define enablekernel 2.6.16
+%endif
 %ifarch sparc
 BuildFlags="-fcall-used-g6"
 GCC="gcc -m32"
@@ -324,7 +329,10 @@ GCC="gcc -m64"
 GXX="g++ -m64"
 %endif
 
-BuildFlags="$BuildFlags -DNDEBUG=1 -fasynchronous-unwind-tables"
+BuildFlags="$BuildFlags -DNDEBUG=1"
+%ifnarch %{arm}
+BuildFlags="$BuildFlags -fasynchronous-unwind-tables"
+%endif
 EnableKernel="--enable-kernel=%{enablekernel}"
 echo "$GCC" > Gcc
 AddOns=`echo */configure | sed -e 's!/configure!!g;s!\(linuxthreads\|nptl\|rtkaio\|powerpc-cpu\)\( \|$\)!!g;s! \+$!!;s! !,!g;s!^!,!;/^,\*$/d'`
@@ -345,8 +353,14 @@ build_CFLAGS="$BuildFlags -g -O3 $*"
 CC="$GCC" CXX="$GXX" CFLAGS="$build_CFLAGS" ../configure --prefix=%{_prefix} \
 	--enable-add-ons=nptl$AddOns --without-cvs $EnableKernel \
 	--with-headers=%{_prefix}/include --enable-bind-now \
-	--with-tls --with-__thread --build %{nptl_target_cpu}-redhat-linux \
+	--with-tls --with-__thread \
+%ifnarch %{arm}
+	--build %{nptl_target_cpu}-redhat-linux \
 	--host %{nptl_target_cpu}-redhat-linux \
+%else
+	--build %{nptl_target_cpu}-redhat-linux-gnueabi \
+	--host %{nptl_target_cpu}-redhat-linux-gnueabi \
+%endif
 	--disable-profile
 make %{?_smp_mflags} -r CFLAGS="$build_CFLAGS" PARALLELMFLAGS=-s
 
